Subject: "git fetch" does not pass quiet setting to "git c"

From: Matthew Flaschen <[email-masked]>
Date: Thu, 14 Aug 2014 00:11:48 -0400

"git fetch" does not pass the quiet flag (if applicable) to "git gc".

I've reproduced this in 2.0.1, but it appears to be present in master. 
It looks like this line 
(https://github.com/git/git/blob/master/builtin/fetch.c#L1201) is 
calling "git gc" (which does support --quiet) without passing it.

Tested with:

git fetch -q origin master

I would expect to see no output for that.  Instead, I see:

"Total 31 (delta 23), reused 31 (delta 23)"

(or whatever the values are).

This will cause cronjobs, for example, to send output when the command 
completes normally.

Thanks,

Matthew Flaschen